Bug 825393 - [ml_IN][es_ES] translations should not use character ¶ for a new line.
[ml_IN][es_ES] translations should not use character ¶ for a new line.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Adrian Likins
Entitlement Bugs
: i18n, Translation
Depends On:
Blocks: rhsm-rhel65
  Show dependency treegraph
 
Reported: 2012-05-25 17:34 EDT by John Sefler
Modified: 2013-12-05 08:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-05 08:46:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-05-25 17:34:34 EDT
Description of problem:

# (pofilter) newlines: Different line endings
msgid ""
"We have detected that you have multiple service level\n"
"agreements on various products. Please select how you\n"
"want them assigned."
msgstr "അനവധി പ്രൊഡക്ടുകള്‍ക്കു് നിങ്ങള്‍ക്കു് അനവധി¶ സര്‍വീസ് ലവല്‍ എഗ്രീമെന്റുകള്‍ ഉണ്ടെന്നു്¶ കണ്ടുപിടിച്ചിരിയ്ക്കുന്നു. നിങ്ങള്‍ക്കു് ഇവ എങ്ങനെ വേണമെന്നു് തെരഞ്ഞെടുക്കുക."

^^^ This comes from /usr/share/locale/ml/LC_MESSAGES/rhsm.mo  The \n characters should NOT be translated to ¶.  Keep the \n characters.



# (pofilter) newlines: Different line endings
msgid ""
"This migration script requires the system to be registered to RHN Classic.\n"
"However this system appears to be registered to '%s'.\n"
"Exiting."
msgstr ""
"El script de migración requiere que el sistema esté registrado a RHN Classic. Sin embargo, este sistema aparece registrado a %s'.¶\n"
"Saliendo."

^^^ This comes from /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo  The \n characters should NOT be translated to ¶.  Keep the \n characters.



Version-Release number of selected component (if applicable):
[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.19-1.el6.x86_64
Comment 1 RHEL Product and Program Management 2012-05-30 01:48:18 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Ani Peter 2012-06-11 12:59:54 EDT
Have fixed ml translation. Please have a look. 
Thanks
Ani
Comment 3 Adrian Likins 2012-11-06 12:30:59 EST
Pulled in from zanata.
Comment 4 John Sefler 2013-01-08 10:34:12 EST
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.19-1.el6.x86_64


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/ml/LC_MESSAGES/rhsm.mo >  /usr/share/locale/ml/LC_MESSAGES/rhsm.po

[root@jsefler-6 ~]# grep -A5 -B1 "We have detected" /usr/share/locale/ml/LC_MESSAGES/rhsm.po
msgid ""
"We have detected that you have multiple service levels on various products. Please select how you\n"
"want them assigned."
msgstr ""
"പല പ്രൊഡക്ടുകള്‍ക്കു് നിങ്ങള്‍ക്കു് അനവധി സര്‍വീസ് ലവലുകളുണ്ടു്. എങ്ങനെ അവ ലഭ്യമാക്കണമെന്നു് ദയവായി\n"
"തെരഞ്ഞെടുക്കുക."

VERIFIED: ml translation for offending msgid does not use character ¶ for a new line





[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo > /usr/share/locale/es_ES/LC_MESSAGES/rhsm.po

[root@jsefler-6 ~]# grep -A5 -B1 "This migration script" /usr/share/locale/es_ES/LC_MESSAGES/rhsm.po
[root@jsefler-6 ~]# 

VERIFIED: offending msgid for es_ES no longer exists.

Note You need to log in before you can comment on or make changes to this bug.